Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

N'oubliez pas de cocher la case « Ajustement pour l'heure d'été » dans votre profil.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 27/09/2015, à 19:06

eric63

[Résolu] des paquets défectueux sont en mode « garder en l'état »

Salut

je viens de me sortir d'une petite galère qui peut arriver à beaucoup d'impatients comme moi
erreur de base, mettre des PPA et mélanger les versions weekly, daily et unstable
un sudo apt-get install <le progamme>
casse le paquet
s'ensuit un naturel E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
solution d'abord ne garder que le PPA qui vous intéresse.
puis faire

sudo apt install <le paquet qui casse>

si cela ne fait rien

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade
installer le paquet qui coince
sudo apt install <le paquet qui coince>

mais pour moi ça n'a pas marché non plus
après recherche je suis tombé sur cette solution
installer aptitude car il semble plus efficace que apt-get;
même ceux qui sont avec kde

sudo apt-get install aptitude
sudo aptitude install <le paquet qui coince>

là on va vous demander  d'accepter ou pas la solution proposée

Accepter cette solution ? [Y/n/q/?] ?
Les commandes suivantes sont disponibles :
  y: accepter les modifications proposées
  n: rejeter les modifications proposées et rechercher une autre solution
  q: abandonner et quitter le programme
  .: aller à la solution suivante
  ,: aller à la solution précédente
  o: basculer entre le contenu de la solution et une explication de la solution
  e: examiner la solution dans l'interface utilisateur visuelle
  x: abandon de la résolution automatique des dépendances ; il est nécessaire
     de résoudre les dépendances manuellement
  r (ID|ver paquet) ...: rejeter les versions données du paquet ; n'afficher
                 aucune solution dans laquelle elles apparaissent. Vous pouvez
                 indiquer UNINST à la place d'une version de paquet pour
                 rejeter la suppression de ce paquet. ID est l'entier
                 apparaissant à gauche de l'action.
  
  a (ID|ver paquet) ...: accepter les versions données du paquet ; n'afficher
                 que les solutions dans lesquelles elles apparaissent. Vous
                 pouvez indiquer UNINST à la place d'une version de paquet pour
                 accepter la suppression de ce paquet. ID est l'entier
                 apparaissant à gauche de l'action.
  
  <ID>: affiche des informations à propos de l'action étiquetée ID dans la
                 solution. L'étiquette est l'entier apparaissant à gauche de
                 l'action.
  
  <ACTION> paquet... : ajuster l'état des paquets affichés, où ACTION est l'une
     des suivantes :
  
  « + » pour installer des paquets
  « +M » pour installer des paquets et les marquer aussitôt comme ayant été
       installés automatiquement.
  « - » pour supprimer des paquets
  « _ » pour purger des paquets
  « = » pour figer des paquets
  « : » pour conserver les paquets dans leur état actuel sans les mettre dans
      l'état figé (« hold »)
  « &M » pour marquer des paquets comme ayant été installés automatiquement
  « &m » pour marquer des paquets comme ayant été installés manuellement

vous avez le choix
le fait de répondre n (non)
fait que Les paquets suivants vont être RÉINSTALLÉS à une VERSION ANTÉRIEURE :

il m'aura fallu cette solution pour décoincer mon problème

il vous faudra peut être aller plus loin si ça coince encore


kdeïste convaincu avec Kubuntu 17.10 + PPA backports KDE plasma 5.12.4 et KDE framaworks 5.44.0 Qt 5.9.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index

Hors ligne

#2 Le 27/09/2015, à 21:34

cqfd93

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

Bonjour,

eric63 a écrit :

je viens de me sortir d'une petite galère qui peut arriver à beaucoup d'impatients comme moi
erreur de base, mettre des PPA et mélanger les versions weekly, daily et unstable
un sudo apt-get install <le progamme>
casse le paquet

Ça peut aussi arriver sous Ubuntu mais pas avec les versions de Debian


cqfd93

En ligne

#3 Le 07/12/2015, à 11:10

catindri

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

Avec retard, merci pour cette solution qui vient de résoudre plusieurs mois d’impossibilité d'utiliser skype sous Ubuntu malgré plusieurs sessions de recherche intensive sur les forum et le test de moultes solutions ! ("paquets garder en l'état" etc...).

Je précise que j'ai choisi
1) la première fois la solution "n" (non) à la solution proposée par aptitude
2)  la seconde fois l'option "y" (oui) à la solution proposée par aptitude...cela m'a désinstallé une multitude de librairies et quelques logiciels (Gimp, Logitheque, librairies python...) MAIS j'ai pu très facilement les réinstaller au fur et à mesure de mon besoin en logiciel, et surtout SKYPE ENFIN FONCTIONNE !!!
Bonne journée


catindri
Ubuntu 12.04 en passage vers 14.04

Hors ligne

#4 Le 16/10/2016, à 19:53

brazz

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

Encore merci à Eric63 dont l'astuce m'a permis de me sortir aussi de la boucle infernale des
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état » !
Elle mériterait d'être mieux connue (sur le WIKI peut être...?)
En tout cas bravo et encore merci


Essayez, essayez, il en restera quelque chose...
l'impossible n'est que ce qui n'a pas encore été réussi

Hors ligne

#5 Le 16/10/2016, à 19:55

brazz

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

je précise que je suis sous Yakkety 16.10 Ubuntu Gnome, donc cette solution est trés générale


Essayez, essayez, il en restera quelque chose...
l'impossible n'est que ce qui n'a pas encore été réussi

Hors ligne

#6 Le 16/10/2016, à 20:49

eric63

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

ravi que ça serve
je ne me souvenait même plus d'avoir poster ce fil que j'avais mis en aide mémoire.
Pour le wiki je ne pense pas que ça s'impose
de plus je m'aperçois que je n'ai pas mis les sources de mes réflexions (pas bien et puis j'ai oublié donc pour retrouver ?)
car tout est extrait d'autres posts.
Je pense que la recherche se fait surtout par le forum donc plus pertinent de ce coté là.
Écrit depuis une 15.04 et je vois qu'il est toujours d'actualité pour la version 16.10.

Dernière modification par eric63 (Le 16/10/2016, à 20:50)


kdeïste convaincu avec Kubuntu 17.10 + PPA backports KDE plasma 5.12.4 et KDE framaworks 5.44.0 Qt 5.9.1
pour installer une multifonction brother pour en savoir plus sur plasma5: https://www.kde.org/index

Hors ligne

#7 Le 06/01/2018, à 00:28

penbeuz

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

2 ans plus tard ça… sert toujours, merci smile


Quand on a dépassé les bornes, y'a plus de limites

Hors ligne

#8 Le 14/02/2018, à 10:44

arnonono

Re : [Résolu] des paquets défectueux sont en mode « garder en l'état »

Idem...merci!

Hors ligne